import React, {
  PropTypes,
} from 'react';

import {
  View,
} from 'react-native';

import Picker from './picker';

const propTypes = {
  children: PropTypes.node,
  style: View.propTypes.style,
};

const defaultProps = {
  children: null,
  style: null,
};

function Group({
  children, style,
}) {
  return (
    <View style={[style, { flexDirection: 'row' }]}>
      {children.filter(({ type }) => type === Picker).map((item, index) => {
        const key = index;
        return <Picker {...item.props} key={key} style={{ flex: 1 }} />;
      })}
    </View>
  );
}

Group.propTypes = propTypes;
Group.defaultProps = defaultProps;

export default Group;
