import React, {
  Component, PropTypes,
} from 'react';

import {
  StyleSheet, Dimensions, Text, View, ScrollView,
} from 'react-native';

import Touch from '../Touch';

const styles = {
  tabBarStyle: {
    marginTop: 30,
    height: 20,
    flexDirection: 'row',
    justifyContent: 'space-around',
  },
};

const ExtendTabBar = (props) => {
  const {
    tabs,
    goToScene,
    activeTextStyle,
    defaultTextStyle,
    tabBarStyle,
    tabUnderLineStyle, // 下划线背景
    activeTab,
  } = props;
  console.log(props);
  return (
    <View style={[styles.tabBarStyle, tabBarStyle]}>
      {
        tabs.map((item, index) => (
          index === 2 ?
            <Touch style={{ flex: 3, alignItems: 'flex-end', height: 20 }} onPress={() => goToScene(index)}><Text>{item}</Text></Touch> : <Touch style={{ flex: 1, height: 20 }} onPress={() => goToScene(index)}><Text>{item}</Text></Touch>
        ))
      }
    </View>
  );
};

ExtendTabBar.propTypes = {
  tabs: PropTypes.arrayOf(PropTypes.any),
  goToScene: PropTypes.func,
  activeTextStyle: Text.propTypes.style,
  defaultTextStyle: Text.propTypes.style,
  tabBarStyle: View.propTypes.style,
  tabUnderLineStyle: View.propTypes.style, // 下划线背景
  activeTab: PropTypes.number,
};
ExtendTabBar.defaultProps = {
  tabs: [],
  goToScene: null,
  activeTextStyle: styles.activeTextStyle,
  tabBarPosition: null,
  defaultTextStyle: styles.tabDeafultText,
  tabUnderLineStyle: null,
  tabBarStyle: null,
  activeTab: null,
};

export default ExtendTabBar;
