import React, {
  PropTypes,
} from 'react';

import {
  View,
  Dimensions,
} from 'react-native';

const DEVICE_WIDTH = Dimensions.get('window').width;
const propTypes = {
  children: PropTypes.node,
};
const defaultProps = {
  children: null,
};

function Scene({ children, ...props }) {
  return (
    <View {...props} style={{ width: DEVICE_WIDTH }}>
      {children}
    </View>
  );
}

Scene.propTypes = propTypes;
Scene.defaultProps = defaultProps;

export default Scene;
