import React, {
  Component, PropTypes,
} from 'react';

import {
  View,
  Image,
  Text,
} from 'react-native';

const source = [];
source[0] = require('./1.png');
source[1] = require('./2.png');
source[2] = require('./3.png');
source[3] = require('./4.png');
source[4] = require('./4.png');

const PROPORTION = 0.406; // 梯形比率

const CHART_PROP = 0.24;// 三角形比梯形的比率

class Trapezoidal extends Component {
  renderChar() {
    const {
      data,
      chartWidth,
    } = this.props;
    const max = Math.max.apply(null, data);
    console.log(this.props);

    return data.map((item, index) => {
      const key = index;
      const w = (item / max) * chartWidth;
      const h = w * PROPORTION;
      const marginLeft = (chartWidth - w) / 2;

      return (
        <Image
          key={key}
          style={{ width: w, height: h, marginLeft }}
          source={source[key]}
        />
      );
    });
  }
  render() {
    return (
      <View>
        {this.renderChar()}
      </View>
    );
  }
}

export default Trapezoidal;
